Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network56.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
56.0.0.0
Broadcast address
56.255.255.255
First usable
56.0.0.1
Last usable
56.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 38000000 · Integer 939524096 to 956301311
Reverse DNS zone
56.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111000..00000000.00000000.0000000056.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00111000..00000000.00000000.0000000056.0.0.0
Broadcast00111000..11111111.11111111.1111111156.255.255.255
Split into smaller subnets/20

56.0.0.0/8 makes 4,096 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
156.0.0.0/2056.0.0.1 to 56.0.15.25456.0.15.2554,094
256.0.16.0/2056.0.16.1 to 56.0.31.25456.0.31.2554,094
356.0.32.0/2056.0.32.1 to 56.0.47.25456.0.47.2554,094
456.0.48.0/2056.0.48.1 to 56.0.63.25456.0.63.2554,094
556.0.64.0/2056.0.64.1 to 56.0.79.25456.0.79.2554,094
656.0.80.0/2056.0.80.1 to 56.0.95.25456.0.95.2554,094
756.0.96.0/2056.0.96.1 to 56.0.111.25456.0.111.2554,094
856.0.112.0/2056.0.112.1 to 56.0.127.25456.0.127.2554,094
956.0.128.0/2056.0.128.1 to 56.0.143.25456.0.143.2554,094
1056.0.144.0/2056.0.144.1 to 56.0.159.25456.0.159.2554,094
1156.0.160.0/2056.0.160.1 to 56.0.175.25456.0.175.2554,094
1256.0.176.0/2056.0.176.1 to 56.0.191.25456.0.191.2554,094
1356.0.192.0/2056.0.192.1 to 56.0.207.25456.0.207.2554,094
1456.0.208.0/2056.0.208.1 to 56.0.223.25456.0.223.2554,094
1556.0.224.0/2056.0.224.1 to 56.0.239.25456.0.239.2554,094
1656.0.240.0/2056.0.240.1 to 56.0.255.25456.0.255.2554,094
1756.1.0.0/2056.1.0.1 to 56.1.15.25456.1.15.2554,094
1856.1.16.0/2056.1.16.1 to 56.1.31.25456.1.31.2554,094
1956.1.32.0/2056.1.32.1 to 56.1.47.25456.1.47.2554,094
2056.1.48.0/2056.1.48.1 to 56.1.63.25456.1.63.2554,094
2156.1.64.0/2056.1.64.1 to 56.1.79.25456.1.79.2554,094
2256.1.80.0/2056.1.80.1 to 56.1.95.25456.1.95.2554,094
2356.1.96.0/2056.1.96.1 to 56.1.111.25456.1.111.2554,094
2456.1.112.0/2056.1.112.1 to 56.1.127.25456.1.127.2554,094
2556.1.128.0/2056.1.128.1 to 56.1.143.25456.1.143.2554,094
2656.1.144.0/2056.1.144.1 to 56.1.159.25456.1.159.2554,094
2756.1.160.0/2056.1.160.1 to 56.1.175.25456.1.175.2554,094
2856.1.176.0/2056.1.176.1 to 56.1.191.25456.1.191.2554,094
2956.1.192.0/2056.1.192.1 to 56.1.207.25456.1.207.2554,094
3056.1.208.0/2056.1.208.1 to 56.1.223.25456.1.223.2554,094
3156.1.224.0/2056.1.224.1 to 56.1.239.25456.1.239.2554,094
3256.1.240.0/2056.1.240.1 to 56.1.255.25456.1.255.2554,094
3356.2.0.0/2056.2.0.1 to 56.2.15.25456.2.15.2554,094
3456.2.16.0/2056.2.16.1 to 56.2.31.25456.2.31.2554,094
3556.2.32.0/2056.2.32.1 to 56.2.47.25456.2.47.2554,094
3656.2.48.0/2056.2.48.1 to 56.2.63.25456.2.63.2554,094
3756.2.64.0/2056.2.64.1 to 56.2.79.25456.2.79.2554,094
3856.2.80.0/2056.2.80.1 to 56.2.95.25456.2.95.2554,094
3956.2.96.0/2056.2.96.1 to 56.2.111.25456.2.111.2554,094
4056.2.112.0/2056.2.112.1 to 56.2.127.25456.2.127.2554,094
4156.2.128.0/2056.2.128.1 to 56.2.143.25456.2.143.2554,094
4256.2.144.0/2056.2.144.1 to 56.2.159.25456.2.159.2554,094
4356.2.160.0/2056.2.160.1 to 56.2.175.25456.2.175.2554,094
4456.2.176.0/2056.2.176.1 to 56.2.191.25456.2.191.2554,094
4556.2.192.0/2056.2.192.1 to 56.2.207.25456.2.207.2554,094
4656.2.208.0/2056.2.208.1 to 56.2.223.25456.2.223.2554,094
4756.2.224.0/2056.2.224.1 to 56.2.239.25456.2.239.2554,094
4856.2.240.0/2056.2.240.1 to 56.2.255.25456.2.255.2554,094
4956.3.0.0/2056.3.0.1 to 56.3.15.25456.3.15.2554,094
5056.3.16.0/2056.3.16.1 to 56.3.31.25456.3.31.2554,094
5156.3.32.0/2056.3.32.1 to 56.3.47.25456.3.47.2554,094
5256.3.48.0/2056.3.48.1 to 56.3.63.25456.3.63.2554,094
5356.3.64.0/2056.3.64.1 to 56.3.79.25456.3.79.2554,094
5456.3.80.0/2056.3.80.1 to 56.3.95.25456.3.95.2554,094
5556.3.96.0/2056.3.96.1 to 56.3.111.25456.3.111.2554,094
5656.3.112.0/2056.3.112.1 to 56.3.127.25456.3.127.2554,094
5756.3.128.0/2056.3.128.1 to 56.3.143.25456.3.143.2554,094
5856.3.144.0/2056.3.144.1 to 56.3.159.25456.3.159.2554,094
5956.3.160.0/2056.3.160.1 to 56.3.175.25456.3.175.2554,094
6056.3.176.0/2056.3.176.1 to 56.3.191.25456.3.191.2554,094
6156.3.192.0/2056.3.192.1 to 56.3.207.25456.3.207.2554,094
6256.3.208.0/2056.3.208.1 to 56.3.223.25456.3.223.2554,094
6356.3.224.0/2056.3.224.1 to 56.3.239.25456.3.239.2554,094
6456.3.240.0/2056.3.240.1 to 56.3.255.25456.3.255.2554,094
6556.4.0.0/2056.4.0.1 to 56.4.15.25456.4.15.2554,094
6656.4.16.0/2056.4.16.1 to 56.4.31.25456.4.31.2554,094
6756.4.32.0/2056.4.32.1 to 56.4.47.25456.4.47.2554,094
6856.4.48.0/2056.4.48.1 to 56.4.63.25456.4.63.2554,094
6956.4.64.0/2056.4.64.1 to 56.4.79.25456.4.79.2554,094
7056.4.80.0/2056.4.80.1 to 56.4.95.25456.4.95.2554,094
7156.4.96.0/2056.4.96.1 to 56.4.111.25456.4.111.2554,094
7256.4.112.0/2056.4.112.1 to 56.4.127.25456.4.127.2554,094
7356.4.128.0/2056.4.128.1 to 56.4.143.25456.4.143.2554,094
7456.4.144.0/2056.4.144.1 to 56.4.159.25456.4.159.2554,094
7556.4.160.0/2056.4.160.1 to 56.4.175.25456.4.175.2554,094
7656.4.176.0/2056.4.176.1 to 56.4.191.25456.4.191.2554,094
7756.4.192.0/2056.4.192.1 to 56.4.207.25456.4.207.2554,094
7856.4.208.0/2056.4.208.1 to 56.4.223.25456.4.223.2554,094
7956.4.224.0/2056.4.224.1 to 56.4.239.25456.4.239.2554,094
8056.4.240.0/2056.4.240.1 to 56.4.255.25456.4.255.2554,094
8156.5.0.0/2056.5.0.1 to 56.5.15.25456.5.15.2554,094
8256.5.16.0/2056.5.16.1 to 56.5.31.25456.5.31.2554,094
8356.5.32.0/2056.5.32.1 to 56.5.47.25456.5.47.2554,094
8456.5.48.0/2056.5.48.1 to 56.5.63.25456.5.63.2554,094
8556.5.64.0/2056.5.64.1 to 56.5.79.25456.5.79.2554,094
8656.5.80.0/2056.5.80.1 to 56.5.95.25456.5.95.2554,094
8756.5.96.0/2056.5.96.1 to 56.5.111.25456.5.111.2554,094
8856.5.112.0/2056.5.112.1 to 56.5.127.25456.5.127.2554,094
8956.5.128.0/2056.5.128.1 to 56.5.143.25456.5.143.2554,094
9056.5.144.0/2056.5.144.1 to 56.5.159.25456.5.159.2554,094
9156.5.160.0/2056.5.160.1 to 56.5.175.25456.5.175.2554,094
9256.5.176.0/2056.5.176.1 to 56.5.191.25456.5.191.2554,094
9356.5.192.0/2056.5.192.1 to 56.5.207.25456.5.207.2554,094
9456.5.208.0/2056.5.208.1 to 56.5.223.25456.5.223.2554,094
9556.5.224.0/2056.5.224.1 to 56.5.239.25456.5.239.2554,094
9656.5.240.0/2056.5.240.1 to 56.5.255.25456.5.255.2554,094
9756.6.0.0/2056.6.0.1 to 56.6.15.25456.6.15.2554,094
9856.6.16.0/2056.6.16.1 to 56.6.31.25456.6.31.2554,094
9956.6.32.0/2056.6.32.1 to 56.6.47.25456.6.47.2554,094
10056.6.48.0/2056.6.48.1 to 56.6.63.25456.6.63.2554,094
10156.6.64.0/2056.6.64.1 to 56.6.79.25456.6.79.2554,094
10256.6.80.0/2056.6.80.1 to 56.6.95.25456.6.95.2554,094
10356.6.96.0/2056.6.96.1 to 56.6.111.25456.6.111.2554,094
10456.6.112.0/2056.6.112.1 to 56.6.127.25456.6.127.2554,094
10556.6.128.0/2056.6.128.1 to 56.6.143.25456.6.143.2554,094
10656.6.144.0/2056.6.144.1 to 56.6.159.25456.6.159.2554,094
10756.6.160.0/2056.6.160.1 to 56.6.175.25456.6.175.2554,094
10856.6.176.0/2056.6.176.1 to 56.6.191.25456.6.191.2554,094
10956.6.192.0/2056.6.192.1 to 56.6.207.25456.6.207.2554,094
11056.6.208.0/2056.6.208.1 to 56.6.223.25456.6.223.2554,094
11156.6.224.0/2056.6.224.1 to 56.6.239.25456.6.239.2554,094
11256.6.240.0/2056.6.240.1 to 56.6.255.25456.6.255.2554,094
11356.7.0.0/2056.7.0.1 to 56.7.15.25456.7.15.2554,094
11456.7.16.0/2056.7.16.1 to 56.7.31.25456.7.31.2554,094
11556.7.32.0/2056.7.32.1 to 56.7.47.25456.7.47.2554,094
11656.7.48.0/2056.7.48.1 to 56.7.63.25456.7.63.2554,094
11756.7.64.0/2056.7.64.1 to 56.7.79.25456.7.79.2554,094
11856.7.80.0/2056.7.80.1 to 56.7.95.25456.7.95.2554,094
11956.7.96.0/2056.7.96.1 to 56.7.111.25456.7.111.2554,094
12056.7.112.0/2056.7.112.1 to 56.7.127.25456.7.127.2554,094
12156.7.128.0/2056.7.128.1 to 56.7.143.25456.7.143.2554,094
12256.7.144.0/2056.7.144.1 to 56.7.159.25456.7.159.2554,094
12356.7.160.0/2056.7.160.1 to 56.7.175.25456.7.175.2554,094
12456.7.176.0/2056.7.176.1 to 56.7.191.25456.7.191.2554,094
12556.7.192.0/2056.7.192.1 to 56.7.207.25456.7.207.2554,094
12656.7.208.0/2056.7.208.1 to 56.7.223.25456.7.223.2554,094
12756.7.224.0/2056.7.224.1 to 56.7.239.25456.7.239.2554,094
12856.7.240.0/2056.7.240.1 to 56.7.255.25456.7.255.2554,094
12956.8.0.0/2056.8.0.1 to 56.8.15.25456.8.15.2554,094
13056.8.16.0/2056.8.16.1 to 56.8.31.25456.8.31.2554,094
13156.8.32.0/2056.8.32.1 to 56.8.47.25456.8.47.2554,094
13256.8.48.0/2056.8.48.1 to 56.8.63.25456.8.63.2554,094
13356.8.64.0/2056.8.64.1 to 56.8.79.25456.8.79.2554,094
13456.8.80.0/2056.8.80.1 to 56.8.95.25456.8.95.2554,094
13556.8.96.0/2056.8.96.1 to 56.8.111.25456.8.111.2554,094
13656.8.112.0/2056.8.112.1 to 56.8.127.25456.8.127.2554,094
13756.8.128.0/2056.8.128.1 to 56.8.143.25456.8.143.2554,094
13856.8.144.0/2056.8.144.1 to 56.8.159.25456.8.159.2554,094
13956.8.160.0/2056.8.160.1 to 56.8.175.25456.8.175.2554,094
14056.8.176.0/2056.8.176.1 to 56.8.191.25456.8.191.2554,094
14156.8.192.0/2056.8.192.1 to 56.8.207.25456.8.207.2554,094
14256.8.208.0/2056.8.208.1 to 56.8.223.25456.8.223.2554,094
14356.8.224.0/2056.8.224.1 to 56.8.239.25456.8.239.2554,094
14456.8.240.0/2056.8.240.1 to 56.8.255.25456.8.255.2554,094
14556.9.0.0/2056.9.0.1 to 56.9.15.25456.9.15.2554,094
14656.9.16.0/2056.9.16.1 to 56.9.31.25456.9.31.2554,094
14756.9.32.0/2056.9.32.1 to 56.9.47.25456.9.47.2554,094
14856.9.48.0/2056.9.48.1 to 56.9.63.25456.9.63.2554,094
14956.9.64.0/2056.9.64.1 to 56.9.79.25456.9.79.2554,094
15056.9.80.0/2056.9.80.1 to 56.9.95.25456.9.95.2554,094
15156.9.96.0/2056.9.96.1 to 56.9.111.25456.9.111.2554,094
15256.9.112.0/2056.9.112.1 to 56.9.127.25456.9.127.2554,094
15356.9.128.0/2056.9.128.1 to 56.9.143.25456.9.143.2554,094
15456.9.144.0/2056.9.144.1 to 56.9.159.25456.9.159.2554,094
15556.9.160.0/2056.9.160.1 to 56.9.175.25456.9.175.2554,094
15656.9.176.0/2056.9.176.1 to 56.9.191.25456.9.191.2554,094
15756.9.192.0/2056.9.192.1 to 56.9.207.25456.9.207.2554,094
15856.9.208.0/2056.9.208.1 to 56.9.223.25456.9.223.2554,094
15956.9.224.0/2056.9.224.1 to 56.9.239.25456.9.239.2554,094
16056.9.240.0/2056.9.240.1 to 56.9.255.25456.9.255.2554,094
16156.10.0.0/2056.10.0.1 to 56.10.15.25456.10.15.2554,094
16256.10.16.0/2056.10.16.1 to 56.10.31.25456.10.31.2554,094
16356.10.32.0/2056.10.32.1 to 56.10.47.25456.10.47.2554,094
16456.10.48.0/2056.10.48.1 to 56.10.63.25456.10.63.2554,094
16556.10.64.0/2056.10.64.1 to 56.10.79.25456.10.79.2554,094
16656.10.80.0/2056.10.80.1 to 56.10.95.25456.10.95.2554,094
16756.10.96.0/2056.10.96.1 to 56.10.111.25456.10.111.2554,094
16856.10.112.0/2056.10.112.1 to 56.10.127.25456.10.127.2554,094
16956.10.128.0/2056.10.128.1 to 56.10.143.25456.10.143.2554,094
17056.10.144.0/2056.10.144.1 to 56.10.159.25456.10.159.2554,094
17156.10.160.0/2056.10.160.1 to 56.10.175.25456.10.175.2554,094
17256.10.176.0/2056.10.176.1 to 56.10.191.25456.10.191.2554,094
17356.10.192.0/2056.10.192.1 to 56.10.207.25456.10.207.2554,094
17456.10.208.0/2056.10.208.1 to 56.10.223.25456.10.223.2554,094
17556.10.224.0/2056.10.224.1 to 56.10.239.25456.10.239.2554,094
17656.10.240.0/2056.10.240.1 to 56.10.255.25456.10.255.2554,094
17756.11.0.0/2056.11.0.1 to 56.11.15.25456.11.15.2554,094
17856.11.16.0/2056.11.16.1 to 56.11.31.25456.11.31.2554,094
17956.11.32.0/2056.11.32.1 to 56.11.47.25456.11.47.2554,094
18056.11.48.0/2056.11.48.1 to 56.11.63.25456.11.63.2554,094
18156.11.64.0/2056.11.64.1 to 56.11.79.25456.11.79.2554,094
18256.11.80.0/2056.11.80.1 to 56.11.95.25456.11.95.2554,094
18356.11.96.0/2056.11.96.1 to 56.11.111.25456.11.111.2554,094
18456.11.112.0/2056.11.112.1 to 56.11.127.25456.11.127.2554,094
18556.11.128.0/2056.11.128.1 to 56.11.143.25456.11.143.2554,094
18656.11.144.0/2056.11.144.1 to 56.11.159.25456.11.159.2554,094
18756.11.160.0/2056.11.160.1 to 56.11.175.25456.11.175.2554,094
18856.11.176.0/2056.11.176.1 to 56.11.191.25456.11.191.2554,094
18956.11.192.0/2056.11.192.1 to 56.11.207.25456.11.207.2554,094
19056.11.208.0/2056.11.208.1 to 56.11.223.25456.11.223.2554,094
19156.11.224.0/2056.11.224.1 to 56.11.239.25456.11.239.2554,094
19256.11.240.0/2056.11.240.1 to 56.11.255.25456.11.255.2554,094
19356.12.0.0/2056.12.0.1 to 56.12.15.25456.12.15.2554,094
19456.12.16.0/2056.12.16.1 to 56.12.31.25456.12.31.2554,094
19556.12.32.0/2056.12.32.1 to 56.12.47.25456.12.47.2554,094
19656.12.48.0/2056.12.48.1 to 56.12.63.25456.12.63.2554,094
19756.12.64.0/2056.12.64.1 to 56.12.79.25456.12.79.2554,094
19856.12.80.0/2056.12.80.1 to 56.12.95.25456.12.95.2554,094
19956.12.96.0/2056.12.96.1 to 56.12.111.25456.12.111.2554,094
20056.12.112.0/2056.12.112.1 to 56.12.127.25456.12.127.2554,094
20156.12.128.0/2056.12.128.1 to 56.12.143.25456.12.143.2554,094
20256.12.144.0/2056.12.144.1 to 56.12.159.25456.12.159.2554,094
20356.12.160.0/2056.12.160.1 to 56.12.175.25456.12.175.2554,094
20456.12.176.0/2056.12.176.1 to 56.12.191.25456.12.191.2554,094
20556.12.192.0/2056.12.192.1 to 56.12.207.25456.12.207.2554,094
20656.12.208.0/2056.12.208.1 to 56.12.223.25456.12.223.2554,094
20756.12.224.0/2056.12.224.1 to 56.12.239.25456.12.239.2554,094
20856.12.240.0/2056.12.240.1 to 56.12.255.25456.12.255.2554,094
20956.13.0.0/2056.13.0.1 to 56.13.15.25456.13.15.2554,094
21056.13.16.0/2056.13.16.1 to 56.13.31.25456.13.31.2554,094
21156.13.32.0/2056.13.32.1 to 56.13.47.25456.13.47.2554,094
21256.13.48.0/2056.13.48.1 to 56.13.63.25456.13.63.2554,094
21356.13.64.0/2056.13.64.1 to 56.13.79.25456.13.79.2554,094
21456.13.80.0/2056.13.80.1 to 56.13.95.25456.13.95.2554,094
21556.13.96.0/2056.13.96.1 to 56.13.111.25456.13.111.2554,094
21656.13.112.0/2056.13.112.1 to 56.13.127.25456.13.127.2554,094
21756.13.128.0/2056.13.128.1 to 56.13.143.25456.13.143.2554,094
21856.13.144.0/2056.13.144.1 to 56.13.159.25456.13.159.2554,094
21956.13.160.0/2056.13.160.1 to 56.13.175.25456.13.175.2554,094
22056.13.176.0/2056.13.176.1 to 56.13.191.25456.13.191.2554,094
22156.13.192.0/2056.13.192.1 to 56.13.207.25456.13.207.2554,094
22256.13.208.0/2056.13.208.1 to 56.13.223.25456.13.223.2554,094
22356.13.224.0/2056.13.224.1 to 56.13.239.25456.13.239.2554,094
22456.13.240.0/2056.13.240.1 to 56.13.255.25456.13.255.2554,094
22556.14.0.0/2056.14.0.1 to 56.14.15.25456.14.15.2554,094
22656.14.16.0/2056.14.16.1 to 56.14.31.25456.14.31.2554,094
22756.14.32.0/2056.14.32.1 to 56.14.47.25456.14.47.2554,094
22856.14.48.0/2056.14.48.1 to 56.14.63.25456.14.63.2554,094
22956.14.64.0/2056.14.64.1 to 56.14.79.25456.14.79.2554,094
23056.14.80.0/2056.14.80.1 to 56.14.95.25456.14.95.2554,094
23156.14.96.0/2056.14.96.1 to 56.14.111.25456.14.111.2554,094
23256.14.112.0/2056.14.112.1 to 56.14.127.25456.14.127.2554,094
23356.14.128.0/2056.14.128.1 to 56.14.143.25456.14.143.2554,094
23456.14.144.0/2056.14.144.1 to 56.14.159.25456.14.159.2554,094
23556.14.160.0/2056.14.160.1 to 56.14.175.25456.14.175.2554,094
23656.14.176.0/2056.14.176.1 to 56.14.191.25456.14.191.2554,094
23756.14.192.0/2056.14.192.1 to 56.14.207.25456.14.207.2554,094
23856.14.208.0/2056.14.208.1 to 56.14.223.25456.14.223.2554,094
23956.14.224.0/2056.14.224.1 to 56.14.239.25456.14.239.2554,094
24056.14.240.0/2056.14.240.1 to 56.14.255.25456.14.255.2554,094
24156.15.0.0/2056.15.0.1 to 56.15.15.25456.15.15.2554,094
24256.15.16.0/2056.15.16.1 to 56.15.31.25456.15.31.2554,094
24356.15.32.0/2056.15.32.1 to 56.15.47.25456.15.47.2554,094
24456.15.48.0/2056.15.48.1 to 56.15.63.25456.15.63.2554,094
24556.15.64.0/2056.15.64.1 to 56.15.79.25456.15.79.2554,094
24656.15.80.0/2056.15.80.1 to 56.15.95.25456.15.95.2554,094
24756.15.96.0/2056.15.96.1 to 56.15.111.25456.15.111.2554,094
24856.15.112.0/2056.15.112.1 to 56.15.127.25456.15.127.2554,094
24956.15.128.0/2056.15.128.1 to 56.15.143.25456.15.143.2554,094
25056.15.144.0/2056.15.144.1 to 56.15.159.25456.15.159.2554,094
25156.15.160.0/2056.15.160.1 to 56.15.175.25456.15.175.2554,094
25256.15.176.0/2056.15.176.1 to 56.15.191.25456.15.191.2554,094
25356.15.192.0/2056.15.192.1 to 56.15.207.25456.15.207.2554,094
25456.15.208.0/2056.15.208.1 to 56.15.223.25456.15.223.2554,094
25556.15.224.0/2056.15.224.1 to 56.15.239.25456.15.239.2554,094
25656.15.240.0/2056.15.240.1 to 56.15.255.25456.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses